
Application: gvSIG desktop - gvSIG bugs #4414
Falla la compilacion de org.gvsig.mapsheets.app
10/24/2016 08:56 AM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: High Spent time: 0.00 hour
Assignee: Joaquín  del Cerro Murciano
Category:
Target version: 2.3.3-2705 (rev. org.gvsig.desktop-2.0.163)
Severity: Blocker Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2704 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

[INFO] --- maven-compiler-plugin:2.3.2:compile (default-compile) @ org.gvsig.mapsheets.app.mainplugin ---
[INFO] Compiling 41 source files to
/home/jjdelcerro/datos/devel/org.gvsig.mapsheets.app/org.gvsig.mapsheets.app.mainplugin/target/classes
[INFO] -------------------------------------------------------------
[ERROR] COMPILATION ERROR : 
[INFO] -------------------------------------------------------------
[ERROR]
/home/jjdelcerro/datos/devel/org.gvsig.mapsheets.app/org.gvsig.mapsheets.app.mainplugin/src/main/java/org/gvsig/mapsheets/gui/MapSheetSelectionDialog.java:[375,37] error: cannot access Services
[INFO] 1 error

/gui/MapSheetSelectionDialog.java:[375,37] error: cannot access Services
[INFO] 1 error

mvn dependency:tree :

[INFO] Scanning for projects...
[INFO]                                                                         
[INFO] ------------------------------------------------------------------------
[INFO] Building org.gvsig.mapsheets.app.mainplugin 1.0.44-SNAPSHOT
[INFO] ------------------------------------------------------------------------
[INFO] 
[INFO] --- maven-dependency-plugin:2.1:tree (default-cli) @ org.gvsig.mapsheets.app.mainplugin ---
[INFO] org.gvsig:org.gvsig.mapsheets.app.mainplugin:jar:1.0.44-SNAPSHOT
[INFO] +- org.gvsig:org.gvsig.app.mainplugin:jar:2.0.160:compile
[INFO] |  +- castor:castor:jar:0.9.5.3:compile
[INFO] |  +- commons-io:commons-io:jar:2.4:compile
[INFO] |  +- net.sf:flib-jcalendar:jar:unknown:compile
[INFO] |  +- javax.help:javahelp:jar:2.0.05:compile
[INFO] |  +- com.toedter:jcalendar:jar:1.3.2:compile
[INFO] |  +- jfree:jcommon:jar:1.0.12:compile
[INFO] |  +- jwizardcomponent:jwizardcomponent:jar:1.2.2:compile
[INFO] |  +- org.gvsig:org.gvsig.installer.lib.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.jdk.v1_6:jar:1.0.1:compile
[INFO] |  +- org.slf4j:slf4j-api:jar:1.5.5:compile
[INFO] |  +- org.jpedal:jpedal_lgpl:jar:4.37b36:compile
[INFO] |  +- org.gvsig:org.gvsig.about.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.projection.cresques.ui:jar:2.0.160:compile
[INFO] |  |  \- org.gvsig:org.gvsig.projection.cresques.impl:jar:2.0.160:compile
[INFO] |  |     +- org.geotools:gt2-legacy:jar:2.2-RC2:compile
[INFO] |  |     |  +- org.opengis:geoapi-legacy:jar:0.2:compile
[INFO] |  |     |  +- org.geotools:gt2-coverage:jar:2.2-RC2:compile
[INFO] |  |     |  +- org.geotools:gt2-render:jar:2.2-RC2:compile
[INFO] |  |     |  |  \- batik:batik-transcoder:jar:1.5:compile
[INFO] |  |     |  +- org.opengis:geoapi:jar:2.0:compile
[INFO] |  |     |  \- javax.units:jsr108:jar:0.01:compile
[INFO] |  |     +- org.geotools:gt2-main:jar:2.2.2:compile
[INFO] |  |     |  +- edu.oswego:concurrent:jar:1.3.4:compile
[INFO] |  |     |  +- org.geotools:gt2-api:jar:2.2.2:compile
[INFO] |  |     |  \- jdom:jdom:jar:1.0:compile
[INFO] |  |     +- org.geotools:gt2-referencing:jar:2.2-RC2:compile
[INFO] |  |     |  \- java3d:vecmath:jar:1.3.1:compile
[INFO] |  |     +- geojava:geojava:jar:unknown:compile
[INFO] |  |     +- javax.media:jai_core:jar:1.1.3:compile
[INFO] |  |     \- javax.media:jai_codec:jar:1.1.3:compile
[INFO] |  +- org.gvsig:org.gvsig.metadata.swing.basic.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.fmap.dal.swing.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.symbology.swing.api:jar:2.0.160:compile
[INFO] |  |  +- org.apache.xmlgraphics:batik-bridge:jar:1.7:compile
[INFO] |  |  |  +- org.apache.xmlgraphics:batik-anim:jar:1.7:compile
[INFO] |  |  |  +- org.apache.xmlgraphics:batik-css:jar:1.7:compile
[INFO] |  |  |  +- org.apache.xmlgraphics:batik-parser:jar:1.7:compile
[INFO] |  |  |  +- org.apache.xmlgraphics:batik-xml:jar:1.7:compile
[INFO] |  |  |  \- xalan:xalan:jar:2.6.0:compile
[INFO] |  |  +- org.apache.xmlgraphics:batik-ext:jar:1.7:compile
[INFO] |  |  \- xml-apis:xml-apis-ext:jar:1.3.04:compile
[INFO] |  +- org.gvsig:org.gvsig.timesupport.lib.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.timesupport.swing.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.tools.evaluator.sqljep:jar:2.0.160:compile
[INFO] |  |  \- net.sf:sqljep:jar:0.2.1:compile
[INFO] |  +- org.gvsig:org.gvsig.tools.swing.api:jar:3.0.92:compile
[INFO] |  +- zql:zql:jar:unknown:compile
[INFO] |  +- org.gvsig:org.gvsig.symbology.lib.impl:jar:2.0.160:compile
[INFO] |  |  +- org.gvsig:org.gvsig.remoteclient:jar:2.0.160:compile
[INFO] |  |  \- org.apache.xmlgraphics:batik-awt-util:jar:1.7:compile
[INFO] |  +- org.gvsig:org.gvsig.symbology.swing.impl:jar:2.0.160:compile
[INFO] |  +- com.vividsolutions:jts:jar:1.13:compile
[INFO] |  +- org.gvsig:org.gvsig.about.impl:jar:2.0.160:runtime
[INFO] |  +- org.gvsig:org.gvsig.compat.se:jar:2.0.160:runtime
[INFO] |  +- org.gvsig:org.gvsig.fmap.dal.impl:jar:2.0.160:runtime
[INFO] |  |  \- easymock:easymockclassextension:jar:1.2:runtime
[INFO] |  |     +- easymock:easymock:jar:1.2_Java1.3:test (scope managed from runtime)
[INFO] |  |     \- cglib:cglib-nodep:jar:2.1:runtime
[INFO] |  +- org.gvsig:org.gvsig.fmap.dal.swing.impl:jar:2.0.160:runtime
[INFO] |  +- org.gvsig:org.gvsig.fmap.mapcontext.impl:jar:2.0.160:runtime
[INFO] |  +- org.gvsig:org.gvsig.metadata.lib.basic.impl:jar:2.0.160:runtime
[INFO] |  +- org.gvsig:org.gvsig.metadata.swing.basic.impl:jar:2.0.160:runtime
[INFO] |  +- org.gvsig:org.gvsig.timesupport.lib.impl:jar:2.0.160:runtime
[INFO] |  +- org.gvsig:org.gvsig.timesupport.swing.impl:jar:2.0.160:runtime
[INFO] |  +- hsqldb:hsqldb:jar:1.8.0.10:runtime
[INFO] |  +- joda-time:joda-time:jar:1.6:runtime
[INFO] |  +- net.sf:jsi:jar:unknown:runtime
[INFO] |  +- gnu.trove:trove:jar:0.1.8:runtime
[INFO] |  \- com.h2database:h2:jar:1.3.150:runtime
[INFO] +- org.gvsig:org.gvsig.andami:jar:2.0.160:compile
[INFO] |  +- commons-configuration:commons-configuration:jar:1.10:compile
[INFO] |  |  +- commons-lang:commons-lang:jar:2.6:compile
[INFO] |  |  \- commons-logging:commons-logging:jar:1.1.1:compile
[INFO] |  +- org.gvsig:org.gvsig.tools.dynform.api:jar:3.0.92:compile (version managed from 3.0.93)
[INFO] |  +- org.gvsig:org.gvsig.tools.dynform.spi:jar:3.0.92:compile (version managed from 3.0.93)
[INFO] |  +- org.gvsig:org.gvsig.tools.dynform.services:jar:3.0.92:compile (version managed from 3.0.93)
[INFO] |  |  \- com.jeta:formsrt:jar:2.1.0_M3-1:compile
[INFO] |  +- org.gvsig:org.gvsig.tools.dynform.impl:jar:3.0.92:runtime (version managed from 3.0.93)
[INFO] |  |  \- com.jgoodies:jgoodies-common:jar:1.4.0:runtime
[INFO] |  +- org.gvsig:org.gvsig.tools.swing.impl:jar:3.0.92:compile (version managed from 3.0.93)
[INFO] |  |  \- com.jgoodies:jgoodies-forms:jar:1.6.0:compile
[INFO] |  +- org.gvsig:org.gvsig.installer.swing.api:jar:2.0.160:compile
[INFO] |  +- com.jgoodies:looks:jar:2.2.2:compile
[INFO] |  +- log4j:log4j:jar:1.2.14:compile
[INFO] |  +- commons-cli:commons-cli:jar:1.2:compile
[INFO] |  +- jwizardcomponent:jwizardcomponent-0i18n:jar:1.2.2.1:compile
[INFO] |  +- net.sf.kxml:kxml2:jar:2.2.2:compile
[INFO] |  |  \- xmlpull:xmlpull:jar:1.1.3.1:compile
[INFO] |  +- xerces:xercesImpl:jar:2.11.0:runtime
[INFO] |  +- org.slf4j:slf4j-log4j12:jar:1.5.5:runtime
[INFO] |  +- org.gvsig:org.gvsig.installer.lib.impl:jar:2.0.160:runtime
[INFO] |  |  \- commons-codec:commons-codec:jar:1.6:runtime
[INFO] |  +- org.gvsig:org.gvsig.installer.lib.spi:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.installer.prov.plugin:jar:2.0.160:runtime
[INFO] |  |  \- org.apache.ant:ant:jar:1.8.1:runtime
[INFO] |  |     \- org.apache.ant:ant-launcher:jar:1.8.1:runtime
[INFO] |  +- org.gvsig:org.gvsig.installer.swing.impl:jar:2.0.160:runtime
[INFO] |  +- com.sardak:antform:jar:2.0:runtime
[INFO] |  +- ant-contrib:ant-contrib:jar:1.0b3:runtime
[INFO] |  +- org.apache.commons:commons-lang3:jar:3.1:compile
[INFO] |  +- org.swinglabs:swing-layout:jar:1.0.3:compile
[INFO] |  +- com.fifesoft:rsyntaxtextarea:jar:2.5.7:runtime
[INFO] |  +- com.fifesoft:rstaui:jar:2.5.7:runtime
[INFO] |  +- com.fifesoft:autocomplete:jar:2.5.7:runtime
[INFO] |  \- org.apache.xmlgraphics:batik-gui-util:jar:1.7:runtime
[INFO] +- org.gvsig:org.gvsig.fmap.mapcontext.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.control:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.fmap.dal.db.jdbc:jar:2.0.160:compile
[INFO] |  |  +- org.gvsig:org.gvsig.fmap.dal.db.lib:jar:2.0.160:compile
[INFO] |  |  +- commons-dbcp:commons-dbcp:jar:1.2.2:compile
[INFO] |  |  |  \- commons-pool:commons-pool:jar:1.6:compile (version managed from 1.3)
[INFO] |  |  \- commons-collections:commons-collections:jar:3.2.1:compile
[INFO] |  \- org.gvsig:org.gvsig.fmap.mapcontext.operation:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.utils:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.spi:jar:2.0.160:compile
[INFO] |  \- com.google.code.gson:gson:jar:2.3.1:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.file.shp:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.file.dbf:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.dal.file.lib:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.i18n:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.fmap.geometry.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.symbology.lib.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.tools.lib:jar:3.0.92:compile
[INFO] +- org.gvsig:org.gvsig.ui:jar:2.0.160:compile
[INFO] |  \- org.jfree:jfreechart:jar:1.0.14:compile
[INFO] |     +- org.jfree:jcommon:jar:1.0.17:compile
[INFO] |     \- xml-apis:xml-apis:jar:1.4.01:compile (version managed from 1.3.04)
[INFO] +- org.gvsig:org.gvsig.projection.api:jar:2.0.22:compile
[INFO] +- org.gvsig:org.gvsig.metadata.lib.basic.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.compat.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.app.document.layout2.app.mainplugin:jar:2.0.86:compile
[INFO] |  +- com.lowagie:itext:jar:2.1.7:compile
[INFO] |  |  +- bouncycastle:bcmail-jdk14:jar:138:compile
[INFO] |  |  +- bouncycastle:bcprov-jdk14:jar:138:compile
[INFO] |  |  \- org.bouncycastle:bctsp-jdk14:jar:1.38:compile
[INFO] |  |     +- org.bouncycastle:bcprov-jdk14:jar:1.38:compile
[INFO] |  |     \- org.bouncycastle:bcmail-jdk14:jar:1.38:compile
[INFO] |  +- org.apache.xmlgraphics:batik-gvt:jar:1.7:compile
[INFO] |  |  \- org.apache.xmlgraphics:batik-util:jar:1.7:compile
[INFO] |  +- org.apache.xmlgraphics:batik-script:jar:1.7:compile
[INFO] |  |  +- org.apache.xmlgraphics:batik-dom:jar:1.7:compile
[INFO] |  |  +- org.apache.xmlgraphics:batik-svg-dom:jar:1.7:compile
[INFO] |  |  \- org.apache.xmlgraphics:batik-js:jar:1.7:compile
[INFO] |  \- com.sun:jimi:jar:1.1:compile
[INFO] +- org.gvsig:org.gvsig.exportto.lib.api:jar:2.0.160:compile
[INFO] +- org.gvsig:org.gvsig.exportto.swing.prov.shape:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.exportto.swing.api:jar:2.0.160:compile
[INFO] |  +- org.gvsig:org.gvsig.exportto.swing.spi:jar:2.0.160:compile
[INFO] |  \- org.gvsig:org.gvsig.exportto.swing.prov.file:jar:2.0.160:compile
[INFO] \- junit:junit:jar:3.8.1:test
[INFO] ------------------------------------------------------------------------
[INFO] BUILD SUCCESS

History
#1 - 10/24/2016 09:06 AM - Joaquín  del Cerro Murciano
- Status changed from New to Fixed

Parece que a la hora de compilar habia desmarcado org.gvsig.app.document.layout2.app y no se habia actualizado la version de este.

#2 - 06/11/2017 09:45 PM - Álvaro Anguix
- Status changed from Fixed to Closed
